<?php
/*
Plugin Name: Inline Navi
Plugin URI: http://conchanental.jp/
Description: This plug-in displays the contents of the child page on a parent page with a tab. 
Author: Conchanental Planning
Version: 1.0
Author URI: http://conchanental.jp/
*/

/*  Copyright 2013 Conchanental Planning (email : info@conchanental.jp)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
	published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**********************
 ページ内タブの設置
**********************/

function change_inline_navi(){
	$id = get_the_id(); // 現在のIDを取得
	$children = get_pages('sort_column=menu_order&child_of='.$id); // 子孫ページ情報取得
  
// タブ、コンテンツ設置
	$str_tab = '<div class="inline_navi"><ul>'."\n";
	$str_contents = '';
	$current = 0;
	foreach($children as $data){
		if($data->post_parent == $id): // 子or孫以下の振り分け
			if($current == 0):
				$current_class = ' class="inline_current"';
				$disp_none = '';
			else:
	  			$current_class = '';
				$disp_none = ' none';
	 		endif;
			$str_tab .= '<li'.$current_class.'><a class="subjectcolor btn_inline_navi">'.$data->post_title.'</a></li>'."\n"; // タブ
			$str_contents .= '<div class="inline_navi_win'.$disp_none.'">'.do_shortcode($data->post_content).'</div>'."\n"; // コンテンツ
			$current++;
		endif;
	}
	$str_tab .= '</ul>'."\n".'</div>'."\n";
	return $str_tab.$str_contents;
}

// js、css出力
wp_enqueue_script('inline-navi-js', plugins_url('', __FILE__).'/js/inline-navi.js', array('jquery'));
wp_enqueue_style('inline-navi', plugins_url('', __FILE__).'/css/inline-navi.css');

// ショートコード登録
add_shortcode('inline_navi', 'change_inline_navi');
?>